Subject: RE: Issue 29: AD REVIEW: IPv6 Node Requirements

From: [email-masked]
Date: Thu, 20 Nov 2003 07:44:39 +0200

Hi Jari, Brian,

> > So, I think I answered this already in an earlier message, but let
> > me clarify something here.  The IP stack layer really does not know
> > what kinds of multicast applications are going to be run on it.
> > A user could arbitrarily install an SSM application just as easily
> > as an ASM application, if the stack supports multicast at all.
> > 
> > With that in mind, if a stack developer knows for sure that 
> his stack
> > couldn't be used for a certain flavor of multicast application (SSM
> > or ASM), then he can use the current guidelines in the node reqs to
> > determine whether MLDv1 or MLDv2 should be supported.
> > 
> > In all other cases, I would prefer MLDv2 for flexibility reasons.
> > 
> > So, if I back off my answer in the last post a little, perhaps the
> > wording for any-source should be something like "SHOULD support MLDv2
> > but MAY support MLDv1".
> 
> With your explanation of the stack - app issues, I think this
> would make sense. If others agree, and suitable text can be
> crafted, of course. Anyway, this is not a crucial issue for
> me but I just wanted to understand the implications.

I agree.  I'll add the suggested text.

John

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: [email-masked]
Date: Thu, 20 Nov 2003 10:05:33 +0200

Jean-Jacques,

> I think that running MLDv1 on a host has consequences on other hosts
> on the same link  : if a host send a MLDv1 report for a group G,
> then the router (Querier) must run in MLDv1 compatibility mode.
> In effect, this prevents other hosts on the same link  to use MLDv2
> and source selection for this group

Does it also work the other way around?  If hosts are already using MLDv2
and source selection for a group, can another host start running MLDv1 
in the same group?

John

---

From: [email-masked]
Date: Fri, 21 Nov 2003 10:15:40 +0200

Thanks Jari, I agree this text is good.

John

> -----Original Message-----
> From: ext Jari Arkko [mailto:[email-masked]]
> Sent: 20 November, 2003 13:56
> To: Loughney John (NRC/Helsinki)
> Cc: [email-masked]; [email-masked]
> Subject: Re: Issue 29: AD REVIEW: IPv6 Node Requirements
> 
> 
> [email-masked] wrote:
> > Hi all,
> > 
> > The 2nd paragraph in 4.6 looks like:
> > 
> >  If an application is going to support Source-Specific Multicast, 
> >  it "SHOULD support MLDv2 but MAY support MLDv1 and conform to the 
> >  Source-Specific Multicast overview document [RFC3569]; refer to 
> >  Source-Specific Multicast architecture document for 
> details [SSMARCH].
> > 
> > I think that is sufficient strength to address Jean-Jacques concern,
> > as SHOULD is quite strong.
> 
> Hmm.... I think RFC 3569 says that you can only do SSM with MLDv2,
> not with MLDv1. Also, I wouldn't put an informative document like
> 3569 after a keyword.
> 
> We need to put Brian's SHOULD..MAY suggestion into the text, but
> in a slightly different form. Here is one suggested rewrite:
> 
> 4.6 Multicast Listener Discovery (MLD)
> 
>     Nodes that need to join multicast groups SHOULD implement MLDv2
>     [MLDv2]. However, if the node has applications which only need
>     support for Any-Source Multicast [RFC3569], the node MAY implement
>     MLDv1 [MLDv1] instead. If the node has applications which need
>     support for Source-Specific Multicast [RFC3569, SSMARCH], the
>     node MUST support MLDv2 [MLDv2].
> 
>     When MLD is used, the rules in "Source Address Selection for the
>     Multicast Listener Discovery (MLD) Protocol" [RFC-3590] MUST be
>     followed.
> 
> --Jari
> 
>